#include "std_lib_inc.h"
#include "FormatError.h"
#include "Util.h"
#ifndef USER_H
#define USER_H

using err::FormatError;
using util::Util;

namespace models {
    class User {
        private:
            int id;
            string name;
            string surname;

        public:
            User(const int& id, const string& name, const string& surname);
            User();
            ostream& write(ostream& stream);

            int get_id() const;
            string get_name() const;
            string get_surname() const;

            friend ostream& operator<<(ostream& os, const User& u);
            friend istream& operator>>(istream& is, User& u);
    };

    ostream& operator<<(ostream& os, const User& u);
    istream& operator>>(istream& is, User& u);
}

#endif // USER_H

